Name:             initial-setup
Version:          0.3.83
Release:          5
Summary:          Initialize system configuration for a newly installed computer
License:          GPLv2+
URL:              https://github.com/rhinstaller/initial-setup
Source0:          https://github.com/rhinstaller/initial-setup/archive/r0.3.83-1.tar.gz
Patch0001:        Drop-python-nose-from-the-dependencies.patch	
Patch9001:        initial-setup-add-support-openeuler.patch
Patch9002:        Adapt-to-category-title-translation-fix-in-Anaconda.patch
Patch9003:        Add-Packit-support-for-initial-setup.patch
Patch9004:        Make-sure-the-output-from-custom_getpass-is-serializ.patch
Patch9005:        Remove-deprecated-support-for-add-ons.patch

%define debug_package %{nil}

BuildRequires:    gettext python3-devel python3-setuptools  systemd-units
BuildRequires:    gtk3-devel glade-devel anaconda >= 29.13 intltool
Requires:         python3 anaconda-tui >= 29.13 systemd >= 235 python3-libreport util-linux
Requires:         gtk3 anaconda-gui >= 29.13 firstboot(windowmanager) xorg-x11-xinit
Requires:         xorg-x11-server-Xorg
Requires(post):   systemd
Requires(preun):  systemd
Requires(postun): systemd
Conflicts:        firstboot < 19.2

Provides:        %{name}-gui = %{version}-%{release}
Obsoletes:       %{name}-gui < %{version}-%{release}

%description
The initial-setup application run during the first start of a newly installed computer and
makes it possible to configure the computer according to the needs of the user.

%prep
%autosetup -n initial-setup-r0.3.83-1 -p1
rm -rf *.egg-info

%build
%make_build

%check
make test

%install
%make_install

%clean
rm -rf %{buildroot}

%post
%systemd_post %{name}.service

%preun
%systemd_preun %{name}.service

%postun
%systemd_postun %{name}.service

%files
%doc README.rst COPYING
%{python3_sitelib}/{initial_setup*,initial_setup/gui/*}
%{_libexecdir}/%{name}/{run-initial-setup,firstboot-windowmanager,reconfiguration-mode-enabled}
%{_libexecdir}/%{name}/{initial-setup-graphical,initial-setup-text}
%{_unitdir}/{initial-setup,initial-setup-reconfiguration}.service
%dir %{_sysconfdir}/%{name}
%dir %{_sysconfdir}/%{name}/conf.d
%config %{_sysconfdir}/%{name}/conf.d/*


%changelog
* Mon Aug 28 2023 wangkai <13474090681@163.com> - 0.3.83-5
- Remove deprecated support for add-ons
- Remove old failing pre scriptlet
- Fix rpm version

* Mon Jul 17 2023 shechenglong<shechenglong@xfusion.com> - 0.3.83-4
- Make sure the output from custom_getpass() is serialized after stdout

* Fri Dec 30 2022 xulei<xulei@xfusion.com> - 0.3.83-3
- Add Packit support for initial-setup

* Fri Dec 30 2022 xulei<xulei@xfusion.com> - 0.3.83-2
- Adapt to category title translation fix in Anaconda

* Fri Apr 29 2022 yangping<yangping69@h-partners.com> - 0.3.83-1
- Upgrade to 0.3.83

* Thu Aug 20 2020 lingsheng<lingsheng@huawei.com> - 0.36.62-6
- Change require to python3-libreport

* Tue Feb 18 2020 xuxijian<xuxijian@huawei.com> - 0.36.62-5
- Package init
